import java.util.*;

public class Remplisseur{
	
	
	
	//rempli une zone avec un type d'objet
	
	public Remplisseur(ArrayList grille[][],String model,String name,String nameE,String matiereStr,int coorX,int coorY,int etendueX,int etendueY,String tile,int sonPas,boolean interieur){
	
		
		
		int coY=coorY;
		
		
		if(matiereStr.compareTo("Sol")==0){
				
				
				Surface sol=new Surface(true,tile,sonPas,interieur);
				
				//int coY=coorY;
				for(int x=0;x<=etendueX;x++){
					coY=coorY;
					for(int y=0;y<=etendueY;y++){
					
						grille[coorX][coY].add(sol);
						
						
						coY++;
							
					}
					coorX++;
				}
		}
		
		
		
		if(matiereStr.compareTo("Wall")==0){
				//int coY=coorY;
				for(int x=0;x<=etendueX;x++){
					coY=coorY;
					for(int y=0;y<=etendueY;y++){
					
						grille[coorX][coY].add(new Wall(false,model,name,nameE,"Obstacle",true,tile,"./images/walls/rocks.gif"));
						
						
						coY++;
							
					}
					coorX++;
				}
				
					
				
		}
		
		if(matiereStr.compareTo("Water")==0){
				//int coY=coorY;
				for(int x=0;x<=etendueX;x++){
					coY=coorY;
					for(int y=0;y<=etendueY;y++){
					
						grille[coorX][coY].add(new Water(model,name,nameE,"Water",true,tile,"./images/surfaces/water1.gif"));
						
						
						coY++;
							
					}
					coorX++;
				}
				
					
				
		}
		
		
		
	/////////////////////////////////////	
		
	}
	
}